Skip to main content
`Ctrl`+`K`

# PetscStrArrayDestroy

Frees array of strings created with `PetscStrArrayallocpy()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrArrayDestroy(char ***list)

Not Collective; No Fortran Support

## Output Parameter

- list - array of strings

## See Also

`PetscStrArrayallocpy()`

## Level

intermediate

## Location

src/sys/utils/str.c

## Examples

src/ts/tutorials/extchem.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages